internal::clear_element< 1 > Struct Template Reference

`#include <_flow_graph_node_impl.h>`

Collaboration diagram for internal::clear_element< 1 >:

## Static Public Member Functions

template<typename P >
static void | clear_this (P &p)
template<typename P >
static bool | this_empty (P &p)

## Detailed Description

### template<>
struct internal::clear_element< 1 >

Definition at line 537 of file _flow_graph_node_impl.h.

## Member Function Documentation

## clear_this()

template<typename P >

static void internal::clear_element< 1 >::clear_this | ( | P & | p | ) |

inline static

Definition at line 538 of file _flow_graph_node_impl.h.

{
(void)tbb::flow::get<0>(p).successors().clear();
}

References p, and void.

## this_empty()

template<typename P >

static bool internal::clear_element< 1 >::this_empty | ( | P & | p | ) |

inline static

Definition at line 541 of file _flow_graph_node_impl.h.

{
return tbb::flow::get<0>(p).successors().empty();
}

References p.

The documentation for this struct was generated from the following file:

- _flow_graph_node_impl.h

void
void
Definition: ittnotify_static.h:91
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.